#!/bin/sh
# Copyright (c) eenos.com
# Secure eenos phpMyadmin
# This will reset the access key and fix the permissions 
if [ -f /usr/local/eenos/3rdparty/eenos-phpmyadmin/config.inc.php ]; then
    bluefish="$(date +%s | sha256sum | base64 | head -c 32)"
    echo "Updating Blue fish key .."
    sed -i -e "s/\$cfg\['blowfish_secret.*/\$cfg\['blowfish_secret'\]\ =\ \'$bluefish\'\;/g" /usr/local/eenos/3rdparty/eenos-phpmyadmin/config.inc.php
    echo "Setting configuration permissions .."
    chmod 0644 /usr/local/eenos/3rdparty/eenos-phpmyadmin/config.inc.php
    chown root:eenos /usr/local/eenos/3rdparty/eenos-phpmyadmin/config.inc.php
fi
